> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/compute/flexvm/usage-and-reporting.md).

# Usage and Reporting

## Monthly usage report

Retrieve usage data across all your Clouds within a time period. The default period is the current calendar month.

```http
GET /v3/flexVM/reports/monthly?start=2026-01-01T00:00:00Z&end=2026-02-01T00:00:00Z
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
```

The usage is reported across the following aggregates:

* **by\_tag** — usage grouped by tag:
  * `active_vms`: number of currently active VMs.
  * `tag`: the tag (e.g. `env:test`).
  * `total_vm_hours`: total number of hours VMs have run.
  * `total_vms_created`: total number of VMs created.
  * `total_vms_released`: total number of VMs released.
* **clouds** — the same fields as `by_tag`, grouped per Cloud.
* **vms** — the full list of VMs, with creation and deletion timestamps:
  * `cloud_id`: UUID of the Cloud in which the VM was created.
  * `image`: image name of the VM (e.g. `ubuntu-2404-server-amd64`).
  * `name`: name of the VM.
  * `plan`: Instance Type of the VM.
  * `site`: site location of the VM (tied to the Cloud).
  * `status`: operational status (e.g. `created`, `deleted`, `failed`, `stopped`).
  * `tags`: optional array of tags.
  * `vm_hours`: number of running hours of the VM.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/compute/flexvm/usage-and-reporting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
